aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorPatrick Spek <p.spek@tyil.nl>2020-03-22 11:48:23 +0100
committerPatrick Spek <p.spek@tyil.nl>2020-03-22 11:48:23 +0100
commit1d983e9f934bf6aeb9333c763fe1a603b8d8e5c4 (patch)
treeff96afaf569e8669a28ba35e85a1441621117d0b /bin
Initial commit
Diffstat (limited to 'bin')
-rwxr-xr-xbin/rstar15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/rstar b/bin/rstar
new file mode 100755
index 0000000..1049cd9
--- /dev/null
+++ b/bin/rstar
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+export BASEDIR=$(CDPATH="" cd -- "$(dirname -- "$0")/.." && pwd -P)
+
+main() {
+ if ! command -v bash > /dev/null
+ then
+ printf "You need bash to run rstar\n" >&2
+ exit 1
+ fi
+
+ exec bash "$BASEDIR/lib/main.bash" "$@"
+}
+
+main "$@"